u_map.c File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <u_private.h>`
`#include <ulfius.h>`
Include dependency graph for u_map.c:

## Functions

int | u_map_init (struct _u_map *u_map)
int | u_map_clean (struct _u_map *u_map)
int | u_map_clean_full (struct _u_map *u_map)
int | u_map_clean_enum (char **array)
const char ** | u_map_enum_keys (const struct _u_map *u_map)
const char ** | u_map_enum_values (const struct _u_map *u_map)
int | u_map_has_key (const struct _u_map *u_map, const char *key)
int | u_map_has_value (const struct _u_map *u_map, const char *value)
int | u_map_has_value_binary (const struct _u_map *u_map, const char *value, size_t length)
int | u_map_put (struct _u_map *u_map, const char *key, const char *value)
int | u_map_put_binary (struct _u_map *u_map, const char *key, const char *value, uint64_t offset, size_t length)
int | u_map_remove_from_key (struct _u_map *u_map, const char *key)
int | u_map_remove_from_key_case (struct _u_map *u_map, const char *key)
int | u_map_remove_from_value (struct _u_map *u_map, const char *value)
int | u_map_remove_from_value_binary (struct _u_map *u_map, const char *value, size_t length)
int | u_map_remove_from_value_case (struct _u_map *u_map, const char *value)
int | u_map_remove_at (struct _u_map *u_map, const int index)
const char * | u_map_get (const struct _u_map *u_map, const char *key)
int | u_map_has_key_case (const struct _u_map *u_map, const char *key)
int | u_map_has_value_case (const struct _u_map *u_map, const char *value)
const char * | u_map_get_case (const struct _u_map *u_map, const char *key)
ssize_t | u_map_get_length (const struct _u_map *u_map, const char *key)
ssize_t | u_map_get_case_length (const struct _u_map *u_map, const char *key)
struct _u_map * | u_map_copy (const struct _u_map *source)
int | u_map_copy_into (struct _u_map *dest, const struct _u_map *source)
int | u_map_count (const struct _u_map *source)
int | u_map_empty (struct _u_map *u_map)